﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Text;
using AjaxPro;

[AjaxNamespace("Demo4")]
public partial class Complex_DropDown2 : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected override void OnPreInit(EventArgs e)
    {
        Utility.RegisterTypeForAjax(typeof(Complex_DropDown2));
    }
    protected override void OnPreRender(EventArgs e)
    {
        base.OnPreRender(e);
        StringBuilder sb = new StringBuilder();
        sb.AppendFormat("ctrlPublisher = new Controls.ListControl('{0}', '{1}', '{2}');\n", Publisher.ClientID, "pub_id", "pub_name");
        sb.AppendFormat("ctrlTitle = new Controls.ListControl('{0}', '{1}', '{2}');\n", TheTitle.ClientID, "title_id", "title");
        sb.AppendFormat("ctrlAuthor = new Controls.ListControl('{0}', '{1}', '{2}');\n", Author.ClientID, "au_id", "au_lname");
        sb.AppendLine("setTimeout(OnPageLoad, 1);");
        ClientScript.RegisterStartupScript(this.GetType(), "controls", sb.ToString(), true);
    }
    [AjaxMethod]
    public DataView SelectPublishers()
    {
        TestData td = new TestData();
        return td.SelectPublishers();
    }
    [AjaxMethod]
    public DataView SelectTitlesByPublisher(string pub_id)
    {
        TestData td = new TestData();
        return td.SelectTitlesByPublisher(pub_id);
    }
    [AjaxMethod]
    public DataView SelectAuthorsByTitle(string title_id)
    {
        TestData td = new TestData();
        return td.SelectAuthorsByTitle(title_id);
    }

}
