﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using AjaxPro;
using System.Collections.Generic;
using System.Text;

[AjaxNamespace("Demo5")]
public partial class Complex_Objekte : System.Web.UI.Page
{

    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected override void OnPreInit(EventArgs e)
    {
        base.OnPreInit(e);
        Utility.RegisterTypeForAjax(typeof(Complex_Objekte));
    }
    protected override void OnPreRender(EventArgs e)
    {
        base.OnPreRender(e);
        StringBuilder sb = new StringBuilder();
        sb.AppendFormat("ctrlUsers = new Controls.ListControl('{0}', '{1}', '{2}');\n", UserListe.ClientID, "UserId", "Name");
        ClientScript.RegisterStartupScript(this.GetType(), "controls", sb.ToString(), true);
    }
    [AjaxMethod]
    public TestUser GetUser(int id)
    {
        TestUser usr = new TestUser();
        usr.UserId = 1;
        usr.Name = "Weinert";
        usr.FirstName = "Albert";
        return usr;
    }

    [AjaxMethod]
    public List<TestUser> GetUserList()
    {
        List<TestUser> users = new List<TestUser>();
        TestUser usr = new TestUser();
        usr.UserId = 1;
        usr.Name = "Weinert";
        usr.FirstName = "Albert";
        users.Add(usr);
        usr = new TestUser();
        usr.UserId = 2;
        usr.Name = "Weigelt";
        usr.FirstName = "Roland";
        users.Add(usr);
        return users;
    }

}
