﻿// JScript-Datei

var Controls = {};

Controls.ListControl = function(id, fieldValue, fieldText)
{
    this._elementId = id;
    this._fieldValue = fieldValue ? fieldValue : null;
    this._fieldText = fieldText ? fieldText : null;
}

Controls.ListControl.prototype.fillWithDataTable = function(dataTable)
{
    var ele = this.get_Element();
    ele.options.length = 0;
    if (dataTable == null)
    {
        return;
    }
    this.fillWithArray(dataTable.Rows);
    ele = null;
}

Controls.ListControl.prototype.fillWithArray = function(array)
{
    var ele = document.getElementById(this._elementId);
    var fieldValue = this._fieldValue;
    var fieldText = this._fieldText;
    for (var i = 0; i < array.length; i++)
    {
        var value = array[i][fieldValue];
        var text = array[i][fieldText];
        var no = new Option(text, value);
        ele.options[ele.options.length] = no;
    } 
    ele = null;
}

Controls.ListControl.prototype.get_SelectedValued = function()
{
    var ele = this.get_Element();
    return ele.value;
}

Controls.ListControl.prototype.get_Element = function()
{
    return document.getElementById(this._elementId);
}